﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using gma.System.Windows;
using System.IO;
using System.Net;
using System.Net.Sockets;


namespace ProjectForm01
{
    public partial class MainForm : Form
    {
        UserActivityHook actHook;
        NewForm nf = new NewForm();

        private void MainForm_Load(object sender, EventArgs e)
        {
            actHook = new UserActivityHook(); // crate an instance with global hooks
            // hang on events
            actHook.OnMouseActivity += new MouseEventHandler(MouseMoved);
        }

        public void MouseMoved(object sender, MouseEventArgs e)
        {
            this.Text = e.X.ToString() + "  " + e.Y.ToString();

            if (Cursor.Position.X > 1278)
            {
                nf.WindowState = FormWindowState.Normal;
                if (this.visibleNew.Checked)              
                    nf.Opacity = 1;             
                else if (this.novisible.Checked)            
                    nf.Opacity = 0.02;
               
                nf.Show();

                if (this.novisible.Checked)  
                    Cursor.Hide();
                
                Cursor.Position = new Point(100, e.Y);
            }          

        }

        private void button1_Click(object sender, EventArgs e)
        {
            actHook.Start();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            actHook.Stop();
        }


        public MainForm()
        {
            InitializeComponent();
        }


     
    }
}